Subject: bug#76926: 31.0.50; Hyperbole tarball bloat

From: Stefan Monnier <[email-masked]>
Date: Mon, 24 Mar 2025 17:35:30 -0400

>>     *.eps
>>     *.pdf
>>     *.html
>>     HY-TALK/improve-performance.png
>>     man/im/wgrid4x3.png
>
> I noticed that you filter out these files now and that the elpa tar-ball is
> reduced in size since a few days.

Oops, sorry.  I had made the change locally for testing purposes, and it
looks like I pushed it by accident as part of another change.

>> [...]
>
>> Also, I see there's a `man/hyperbole.texi` but the current package's
>> spec doesn't specify any manual.  I guess we should add
>>
>>     :doc "man/hyperbole.texi"
>>
>> right?
>
> What I can see you did not add the doc: attribute. Can you please add that so
> we can evaluate the result?

OK, I just added it (and removed the `:ignored-files` which is better
replaced by adding entries to `.elpaignore` anyway, so it's all under
your direct control).

        Stefan